Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenExpressionInterpreterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenExpressionProviderBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenExpressionInterpreterImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenExpressionInterpreter, GenExpressionProviderBase

    public class GenExpressionInterpreterImpl

extends GenExpressionProviderBaseImpl
implements GenExpressionInterpreter

An implementation of the model object 'Gen Expression Interpreter'.

The following features are implemented:

- `Language`
- `Class Name`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `CLASS_NAME_EDEFAULT` The default value of the '`Class Name`' attribute
`protected java.lang.String` `className` The cached value of the '`Class Name`' attribute
`protected GenLanguage` `language` The cached value of the '`Language`' attribute
`protected static GenLanguage` `LANGUAGE_EDEFAULT` The default value of the '`Language`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenExpressionProviderBaseImpl
`expressions`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenExpressionInterpreterImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getClassName()`
`java.lang.String` `getClassNameGen()`
`java.lang.String` `getExpressionAccessor(ValueExpression expression)`
`GenLanguage` `getLanguage()`
`java.lang.String` `getQualifiedClassName()`
`void` `setClassName(java.lang.String newClassName)`
`void` `setLanguage(GenLanguage newLanguage)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenExpressionProviderBaseImpl
`eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getContainer, getExpressions`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenExpressionProviderBase
`getContainer, getExpressions`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### LANGUAGE_EDEFAULT

    protected static final GenLanguage LANGUAGE_EDEFAULT

  The default value of the '`Language`' attribute.

  See Also:
    `getLanguage()`
  ** Generated **
  Ordered:

### language

    protected GenLanguage language

  The cached value of the '`Language`' attribute.

  See Also:
    `getLanguage()`
  ** Generated **
  Ordered:

### CLASS_NAME_EDEFAULT

    protected static final java.lang.String CLASS_NAME_EDEFAULT

  The default value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`
  ** Generated **
  Ordered:

### className

    protected java.lang.String className

  The cached value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`
  ** Generated **
  Ordered:

Constructor Detail

### GenExpressionInterpreterImpl

    protected GenExpressionInterpreterImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenExpressionProviderBaseImpl`
  ** Generated **

### getClassNameGen

    public java.lang.String getClassNameGen()

  ** Generated **

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `GenExpressionInterpreter`
  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `GenExpressionInterpreter.setClassName(String)`, `GMFGenPackage.getGenExpressionInterpreter_ClassName()`
  ** Generated **
    NOT

### setClassName

    public void setClassName(java.lang.String newClassName)

  Specified by:
    `setClassName` in interface `GenExpressionInterpreter`
  Parameters:
    `newClassName` - the new value of the 'Class Name' attribute.
  See Also:
    `GenExpressionInterpreter.getClassName()`
  ** Generated **

### getLanguage

    public GenLanguage getLanguage()

  Specified by:
    `getLanguage` in interface `GenExpressionInterpreter`
  Specified by:
    `getLanguage` in interface `GenExpressionProviderBase`
  Specified by:
    `getLanguage` in class `GenExpressionProviderBaseImpl`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `GenLanguage`, `GenExpressionInterpreter.setLanguage(GenLanguage)`, `GMFGenPackage.getGenExpressionInterpreter_Language()`
  ** Generated **

### setLanguage

    public void setLanguage(GenLanguage newLanguage)

  Specified by:
    `setLanguage` in interface `GenExpressionInterpreter`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `GenLanguage`, `GenExpressionInterpreter.getLanguage()`
  ** Generated **

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `GenExpressionInterpreter`
  ** Generated **
    NOT

### getExpressionAccessor

    public java.lang.String getExpressionAccessor(ValueExpression expression)

  Specified by:
    `getExpressionAccessor` in interface `GenExpressionInterpreter`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenExpressionProviderBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenExpressionProviderBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenExpressionProviderBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenExpressionProviderBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.